Ind Gstin Certificate Ocr
curl --request POST \
--url https://production.deepvue.tech/v1/documents/extraction/gstin-certificate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"document1": "<string>"
}
'import requests
url = "https://production.deepvue.tech/v1/documents/extraction/gstin-certificate"
payload = { "document1": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'x-api-key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({document1: '<string>'})
};
fetch('https://production.deepvue.tech/v1/documents/extraction/gstin-certificate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://production.deepvue.tech/v1/documents/extraction/gstin-certificate",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'document1' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://production.deepvue.tech/v1/documents/extraction/gstin-certificate"
payload := strings.NewReader("{\n \"document1\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://production.deepvue.tech/v1/documents/extraction/gstin-certificate")
.header("Authorization", "Bearer <token>")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"document1\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://production.deepvue.tech/v1/documents/extraction/gstin-certificate")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"document1\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"code": 200,
"transaction_id": "string",
"message": "Document processed successfuly",
"data": {
"address": "string",
"constitution_of_business": "string",
"date_of_liability": "string",
"gstin": "string",
"is_provisional": "string",
"legal_name": "string",
"pan_number": "string",
"trade_name": "string",
"type_of_registration": "string",
"valid_from": "string",
"valid_upto": "string"
}
}{
"detail": "Inactive client_id"
}{
"detail": "Not authenticated"
}{
"detail": "Not a valid token"
}{
"transaction_id": "string",
"code": 422,
"message": "Empty document. Valid base64 required."
}{
"detail": "Internal Server Error"
}India
GST Certificate
This API helps you extract details from image of a GST Certificate in real-time.
Base64 encoded string or publically accessible URL of the document needs to be passed in request payload.
POST
/
v1
/
documents
/
extraction
/
gstin-certificate
Ind Gstin Certificate Ocr
curl --request POST \
--url https://production.deepvue.tech/v1/documents/extraction/gstin-certificate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"document1": "<string>"
}
'import requests
url = "https://production.deepvue.tech/v1/documents/extraction/gstin-certificate"
payload = { "document1": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'x-api-key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({document1: '<string>'})
};
fetch('https://production.deepvue.tech/v1/documents/extraction/gstin-certificate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://production.deepvue.tech/v1/documents/extraction/gstin-certificate",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'document1' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://production.deepvue.tech/v1/documents/extraction/gstin-certificate"
payload := strings.NewReader("{\n \"document1\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://production.deepvue.tech/v1/documents/extraction/gstin-certificate")
.header("Authorization", "Bearer <token>")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"document1\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://production.deepvue.tech/v1/documents/extraction/gstin-certificate")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"document1\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"code": 200,
"transaction_id": "string",
"message": "Document processed successfuly",
"data": {
"address": "string",
"constitution_of_business": "string",
"date_of_liability": "string",
"gstin": "string",
"is_provisional": "string",
"legal_name": "string",
"pan_number": "string",
"trade_name": "string",
"type_of_registration": "string",
"valid_from": "string",
"valid_upto": "string"
}
}{
"detail": "Inactive client_id"
}{
"detail": "Not authenticated"
}{
"detail": "Not a valid token"
}{
"transaction_id": "string",
"code": 422,
"message": "Empty document. Valid base64 required."
}{
"detail": "Internal Server Error"
}Authorizations
ACCESS_TOKEN generated from the authorize endpoint. Should be included in the header as Bearer .
The CLIENT_SECRET provided to you. This header parameter is required for authentication purposes.
Body
application/json
The document that needs to be processed for GSTIN certificate extraction.